
Application: gvSIG desktop - gvSIG bugs #5746
La rotación de los símbolos no funciona en la 2.6
07/31/2023 01:29 PM - Mario Carrera

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Symbology
Target version: 2.6.0-3330
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si creamos una simbología de puntos con un símbolo al que le indicamos que rote 90º, el símbolo no gira. En la 2.5.1 sí que
funcionaba.

Nos está ocurriendo para imprimir los mapas del Ayuntamiento de Albacete.

Associated revisions
Revision 3028 - 09/06/2023 09:49 AM - Francisco Díaz Carsí

refs #5746 Añadida previsión de que se lance más de una vez el initComponents.

Revision 47464 - 09/06/2023 09:55 AM - Francisco Díaz Carsí

refs #5746: Modificaciones para que la rotación y el tamaño de los símbolos marcadores de imagen se comporten adecuadamente
(size/sizeExpression, rotation/rotationExpression) y añadidas traducciones.

History
#1 - 08/04/2023 08:05 AM - Joaquín  del Cerro Murciano
- Severity changed from Major to Minor
- Priority changed from High to Urgent

#2 - 09/05/2023 12:26 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to In progress

#3 - 09/06/2023 10:06 AM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

El problema pasaba tanto con la rotación como con el tamaño de los símbolos de marcadores de imagen.
El problema estribaba en que en el selector de simbología se puede especificar tanto el tamaño como el ángulo de rotación del símbolo, y después en
las propiedades del símbolo, se puede  especificar una expresión para ambos campos.
La  expresión tiene prioridad sobre el valor del campo, y cuando se dejaba vacía interpretaba que valía 0.
Se ha arreglado de forma que:
    -  Sigue teniendo prioridad el valor de la expresión sobre el valor del campo.
    -  Cuando la expresión esté vacía no se usará.
    -  Cuando se  cambia el valor del campo en el selector de simbología, se borra la expresión para que no tenga efecto.

#4 - 09/06/2023 12:50 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3330

#5 - 10/18/2023 11:09 AM - Álvaro Anguix
- Status changed from Fixed to Closed
